import './assets/main.css'
import { createApp } from 'vue'
import { createRouter, createWebHistory } from 'vue-router'
import App from './App.vue'

const router = createRouter({
    history: createWebHistory(),
    routes: [
        {
            path: '/',
            name: 'Report',
            component: () => import('./views/Report.vue')
        },
        {
            path: '/report',
            name: 'ReportView',
            component: () => import('./views/Report.vue')
        },
        {
            path: '/report-pdf',
            name: 'ReportPDF',
            component: () => import('./views/ReportPDF.vue')
        }
    ]
})

const app = createApp(App)
app.use(router)

app.mount('#app')

